Project

General

Profile

Bug #25533

cannot install tfm-rubygem-foreman_remote_execution

Added by Ales Dujicek over 3 years ago. Updated over 3 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
-
Target version:
-
Difficulty:
Triaged:
No
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:

Description

found in nightly
foreman-1.21.0-0.201811211249git8c0afbb0.4.develop.el7.noarch

  1. foreman-installer --enable-foreman-plugin-remote-execution
    Execution of '/usr/bin/yum -d 0 -e 0 -y install tfm-rubygem-foreman_remote_execution' returned 1: Error: Package: tfm-rubygem-foreman_remote_execution-1.6.4-2.fm1_21.el7.noarch (foreman-plugins)
    Requires: foreman-webpack-vendor-js(3b1dfdc9c8df0ab8e967)
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest
    ...
  1. yum install tfm-rubygem-foreman_remote_execution
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-
: manager
Resolving Dependencies
--> Running transaction check
---> Package tfm-rubygem-foreman_remote_execution.noarch 0:1.6.4-2.fm1_21.el7 will be installed
--> Processing Dependency: tfm-rubygem(foreman-tasks) < 1.0.0 for package: tfm-rubygem-foreman_remote_execution-1.6.4-2.fm1_21.el7.noarch
--> Processing Dependency: tfm-rubygem(foreman-tasks) >= 0.13.0 for package: tfm-rubygem-foreman_remote_execution-1.6.4-2.fm1_21.el7.noarch
--> Processing Dependency: tfm-rubygem(foreman_remote_execution_core) for package: tfm-rubygem-foreman_remote_execution-1.6.4-2.fm1_21.el7.noarch
--> Processing Dependency: tfm-rubygem(deface) for package: tfm-rubygem-foreman_remote_execution-1.6.4-2.fm1_21.el7.noarch
--> Processing Dependency: foreman-webpack-vendor-js(3b1dfdc9c8df0ab8e967) for package: tfm-rubygem-foreman_remote_execution-1.6.4-2.fm1_21.el7.noarch
--> Running transaction check
---> Package tfm-rubygem-deface.noarch 0:1.3.2-1.el7 will be installed
--> Processing Dependency: tfm-rubygem(rainbow) >= 2.1.0 for package: tfm-rubygem-deface-1.3.2-1.el7.noarch
--> Processing Dependency: tfm-rubygem(polyglot) for package: tfm-rubygem-deface-1.3.2-1.el7.noarch
---> Package tfm-rubygem-foreman-tasks.noarch 0:0.14.2-1.fm1_21.el7 will be installed
--> Processing Dependency: tfm-rubygem(parse-cron) < 0.2.0 for package: tfm-rubygem-foreman-tasks-0.14.2-1.fm1_21.el7.noarch
--> Processing Dependency: tfm-rubygem(parse-cron) >= 0.1.4 for package: tfm-rubygem-foreman-tasks-0.14.2-1.fm1_21.el7.noarch
--> Processing Dependency: tfm-rubygem(foreman-tasks-core) for package: tfm-rubygem-foreman-tasks-0.14.2-1.fm1_21.el7.noarch
--> Processing Dependency: tfm-ror52-rubygem(sinatra) for package: tfm-rubygem-foreman-tasks-0.14.2-1.fm1_21.el7.noarch
---> Package tfm-rubygem-foreman_remote_execution.noarch 0:1.6.4-2.fm1_21.el7 will be installed
--> Processing Dependency: foreman-webpack-vendor-js(3b1dfdc9c8df0ab8e967) for package: tfm-rubygem-foreman_remote_execution-1.6.4-2.fm1_21.el7.noarch
---> Package tfm-rubygem-foreman_remote_execution_core.noarch 0:1.1.4-1.el7 will be installed
--> Running transaction check
---> Package tfm-ror52-rubygem-sinatra.noarch 0:2.0.3-1.el7 will be installed
--> Processing Dependency: tfm-ror52-rubygem(tilt) for package: tfm-ror52-rubygem-sinatra-2.0.3-1.el7.noarch
--> Processing Dependency: tfm-ror52-rubygem(rack-protection) for package: tfm-ror52-rubygem-sinatra-2.0.3-1.el7.noarch
--> Processing Dependency: tfm-ror52-rubygem(mustermann) for package: tfm-ror52-rubygem-sinatra-2.0.3-1.el7.noarch
---> Package tfm-rubygem-foreman-tasks-core.noarch 0:0.2.5-2.fm1_20.el7 will be installed
---> Package tfm-rubygem-foreman_remote_execution.noarch 0:1.6.4-2.fm1_21.el7 will be installed
--> Processing Dependency: foreman-webpack-vendor-js(3b1dfdc9c8df0ab8e967) for package: tfm-rubygem-foreman_remote_execution-1.6.4-2.fm1_21.el7.noarch
---> Package tfm-rubygem-parse-cron.noarch 0:0.1.4-4.fm1_20.el7 will be installed
---> Package tfm-rubygem-polyglot.noarch 0:0.3.5-2.el7 will be installed
---> Package tfm-rubygem-rainbow.noarch 0:2.2.1-3.el7 will be installed
--> Running transaction check
---> Package tfm-ror52-rubygem-mustermann.noarch 0:1.0.2-1.el7 will be installed
---> Package tfm-ror52-rubygem-rack-protection.noarch 0:2.0.3-1.el7 will be installed
---> Package tfm-ror52-rubygem-tilt.noarch 0:2.0.8-1.el7 will be installed
---> Package tfm-rubygem-foreman_remote_execution.noarch 0:1.6.4-2.fm1_21.el7 will be installed
--> Processing Dependency: foreman-webpack-vendor-js(3b1dfdc9c8df0ab8e967) for package: tfm-rubygem-foreman_remote_execution-1.6.4-2.fm1_21.el7.noarch
--> Finished Dependency Resolution
Error: Package: tfm-rubygem-foreman_remote_execution-1.6.4-2.fm1_21.el7.noarch (foreman-plugins)
Requires: foreman-webpack-vendor-js(3b1dfdc9c8df0ab8e967) **************************************************************
yum can be configured to try to resolve such errors by temporarily enabling
disabled repos and searching for missing dependencies.
To enable this functionality please set 'notify_only=0' in /etc/yum/pluginconf.d/search-disabled-repos.conf

Error: Package: tfm-rubygem-foreman_remote_execution-1.6.4-2.fm1_21.el7.noarch (foreman-plugins)
Requires: foreman-webpack-vendor-js(3b1dfdc9c8df0ab8e967)

History

#1 Updated by Marek Hulán over 3 years ago

Most likely the package needs to be rebuilt since JS changed.

#2 Updated by Ales Dujicek over 3 years ago

  • Status changed from New to Resolved

Aha, thanks, it works now.

  1. yum install katello
    ...Processing Dependency: foreman-webpack-vendor-js(847844681b291c484af9) for package: tfm-rubygem-katello-3.10.0-0.201811281248git5d89aba0.4.pre.master.el7.noarch
  1. rpm -q --requires tfm-rubygem-foreman_remote_execution | grep vendor-js
    foreman-webpack-vendor-js(847844681b291c484af9)
  2. rpm -q --provides foreman | grep vendor-js
    foreman-webpack-vendor-js(847844681b291c484af9)
  1. rpm -q foreman katello tfm-rubygem-foreman_remote_execution
    foreman-1.21.0-0.201811301408git05151080.5.develop.el7.noarch
    katello-3.10.0-6.el7.noarch
    tfm-rubygem-foreman_remote_execution-1.6.5-3.fm1_21.el7.noarch

Closing..

Also available in: Atom PDF